<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreateProyectista extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('proyectista')
			->addColumn('rut', 'integer', ['length' => 11, 'default' => null, 'null' => true])
			->addColumn('nombre', 'string', ['length' => 50, 'default' => null, 'null' => true])
			->addColumn('tipo', 'integer', ['length' => 11, 'default' => null, 'null' => true])
			->addColumn('representante', 'string', ['length' => 255, 'default' => null, 'null' => true])
			->addColumn('telefono', 'integer', ['length' => 11, 'default' => null, 'null' => true])
			->addColumn('correo', 'string', ['length' => 100, 'default' => null, 'null' => true])
			->addColumn('direccion', 'integer', ['length' => 11, 'default' => null, 'null' => true])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
